// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js

var app = angular.module('starter', ['ionic', 'ngAnimate', 'ionic.cloud', 'starter.controllers','starter.services', 'ionic.native', 'ngCordova', 'ionic.contrib.ui.tinderCards2'])

  .config(function($ionicCloudProvider) {
        $ionicCloudProvider.init({
          "core": {
          "app_id": "f7ec0d9e"
          }
        });
    })

.run(function($ionicPlatform,  $state, $ionicHistory, $ionicPopup, $ionicPush,  $cordovaToast) {

  $ionicPlatform.ready(function() {

  

    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }


    // PUSH CODE INITIALIZATION

      $ionicPush.register().then(function(t) {
        return $ionicPush.saveToken(t);
      }).then(function(t) {
          console.log('Token saved:', t.token);
          localStorage.setItem("devicetoken", t.token);
      });


      document.addEventListener("offline", offlineCallback, false);
      // document.addEventListener("online", onCallback, false);
      function offlineCallback() {
       
         $cordovaToast.showLongBottom('Please check your internet connection');
      }



           

  })









$ionicPlatform.registerBackButtonAction(function () {
  if($state.current.name=="app.home_screen") {
     $ionicPopup.confirm({
      title: 'Best of Friends',
      template: 'are you sure you want to exit?'
      }).then(function(res) {
      if (res) {
      ionic.Platform.exitApp();
      }
    })
  }else if($state.current.name=="app.email_screen"){
    $state.go('app.login_screen')
  }else if($state.current.name=="app.edit_profile"){
    $state.go('app.home_screen')
  }else if($state.current.name=="app.view_screen"){
    $state.go('app.home_screen')
  }else {
    $ionicHistory.goBack();
  }
}, 100);

})





.directive('noScroll', function($document) {

  return {
    restrict: 'A',
    link: function($scope, $element, $attr) {

      $document.on('touchmove', function(e) {
        e.preventDefault();
      });
    }
  }
})


.config(function($stateProvider, $urlRouterProvider, $ionicCloudProvider) {

  $ionicCloudProvider.init({
    "core": {
      "app_id": "f7ec0d9e"
    },
    "push": {
      "sender_id": "875019034494",
      "pluginConfig": {
        "ios": {
          "badge": true,
          "sound": true
        },
        "android": {
          "iconColor": "#343434"
        }
      }
    }
  });


  $stateProvider

    .state('app', {
    url: '/app',
    abstract: true,    
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })


  .state('app.login_screen', {
      url: '/login_screen',
      cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/login_screen.html',
           controller: 'loginCtrl'

        }
      }
    })
    .state('app.country_city', {
      url: '/country_city',
      views: {
        'menuContent': {
          templateUrl: 'templates/country_city.html',
           controller: 'registrationCtrl'

        }
      }
    })
  .state('app.email_screen', {
      url: '/email_screen/:fbname/:fbemail',
      views: {
        'menuContent': {
          templateUrl: 'templates/email_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
  .state('app.gender_screen', {
      url: '/gender_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/gender_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
    .state('app.search', {
      url: '/search',
      cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/search_screen.html',
           controller: 'searchCtrl'

        }
      }
    })
  .state('app.birthday_screen', {
      url: '/birthday_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/birthday_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
  .state('app.body_screen', {
      url: '/body_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/body_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
   .state('app.children_screen', {
      url: '/children_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/children_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
   .state('app.height_screen', {
      url: '/height_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/height_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
   .state('app.habit_screen', {
      url: '/habit_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/habit_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
   .state('app.education_screen', {
      url: '/education_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/education_screen.html',
           controller: 'registrationCtrl'

        }
      }
    })
   .state('app.home_screen', {
      url: '/home_screen',
       cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/home_screen.html',
           controller: 'homeCtrl'

        }
      }
    })

   .state('app.profile_details', {
      url: '/profile_details/:userid',
      views: {
        'menuContent': {
          templateUrl: 'templates/profile_details.html',
           controller: 'OtherProfileCtrl'

        }
      }
    })
   .state('app.edit_profile', {
      url: '/edit_profile',
      cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/edit_profile.html',
           controller: 'ProfileCtrl'

        }
      }
    })
   .state('app.connection_screen', {
      url: '/connection_screen',
      cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/connection_screen.html',
           controller: 'connectionCtrl'

        }
      }
    })
   .state('app.block_screen', {
      url: '/block_screen',
      cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/block_screen.html',
           controller: 'BlockCtrl'

        }
      }
    })
   .state('app.message_screen', {
      url: '/message_screen',
     cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/message_screen.html',
           controller: 'messageCtrl'

        }
      }
    })
    .state('app.conversation_screen', {
      url: '/conversation_screen/:obj',
     cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/conversation_screen.html',
           controller: 'messageCtrl'

        }
      }
    })
    .state('app.chat', {
      url: '/chat',
     cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/chat.html',
           controller: 'ChatCtrl'

        }
      }
    })
    .state('app.chatDetails', {
      url: '/chatDetails/:userid/:chatid',
     cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/chat_details.html',
           controller: 'ChatDetailsCtrl'

        }
      }
    })
    .state('app.videochat', {
      url: '/videochat/:userid',
     cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/videochat.html',
           controller: 'videochatCtrl'

        }
      }
    })
    .state('app.notification', {
      url: '/notification',
     cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/notification.html',
           controller: 'notificationCtrl'

        }
      }
    })
   .state('app.gallery_screen', {
      url: '/gallery_screen?:type:userid',
      views: {
        'menuContent': {
          templateUrl: 'templates/gallery_screen.html',
           controller: 'galleryCtrl'

        }
      }
    })
   .state('app.subscribe_screen', {
      url: '/subscribe_screen',
      views: {
        'menuContent': {
          templateUrl: 'templates/subscribe_screen.html',
           controller: 'subscribeCtrl'

        }
      }
    })
   .state('app.view_screen', {
      url: '/view_screen',
       cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/view_screen.html',
           controller: 'ViewmeCtrl'

        }
      }
    })
    .state('app.meetingyou', {
      url: '/meetingyou',
       cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/meetingyou.html',
           controller: 'meetCtrl'

        }
      }
    })
   .state('app.transction_screen', {
      url: '/transction_screen',
      cache: false,
      views: {
        'menuContent': {
          templateUrl: 'templates/transction_screen.html',
           controller: 'subscribeCtrl'

        }
      }
    })
;
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/login_screen');
});
